diff -u acl-2.2.47/Makefile acl-2.2.47/Makefile
--- acl-2.2.47/Makefile
+++ acl-2.2.47/Makefile
@@ -39,8 +39,8 @@
 		--exec-prefix=/ \
 		--sbindir=/bin \
 		--bindir=/usr/bin \
-		--libdir=/lib \
-		--libexecdir=/usr/lib \
+		--libdir=/lib/$(DEB_HOST_GNU_TYPE) \
+		--libexecdir=/usr/lib/$(DEB_HOST_GNU_TYPE) \
 		--includedir=/usr/include \
 		--mandir=/usr/share/man \
 		--datadir=/usr/share \
diff -u acl-2.2.47/debian/changelog acl-2.2.47/debian/changelog
--- acl-2.2.47/debian/changelog
+++ acl-2.2.47/debian/changelog
@@ -1,3 +1,10 @@
+acl (2.2.47-2a0.multi.1) unstable; urgency=low
+
+  * Convert to multiarch
+  * Add missing dh_clean
+
+ -- Goswin von Brederlow <goswin-v-b@web.de>  Mon, 11 May 2009 02:25:08 +0200
+
 acl (2.2.47-2) unstable; urgency=low
 
   * Acknowledge NMU. Closes: Closes: #477515
diff -u acl-2.2.47/debian/control acl-2.2.47/debian/control
--- acl-2.2.47/debian/control
+++ acl-2.2.47/debian/control
@@ -10,6 +10,7 @@
 Package: acl
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Architecture: any
+Multi-Arch: no
 Description: Access control list utilities
  This package contains the getfacl and setfacl utilities needed for
  manipulating access control lists.
@@ -33,6 +34,7 @@
 Priority: required
 Conflicts: acl (<< 2.0.0), libacl1-kerberos4kth
 Architecture: any
+Multi-Arch: yes
 Description: Access control list shared library
  This package contains the libacl.so dynamic library containing
  the POSIX 1003.1e draft standard 17 functions for manipulating
diff -u acl-2.2.47/debian/rules acl-2.2.47/debian/rules
--- acl-2.2.47/debian/rules
+++ acl-2.2.47/debian/rules
@@ -18,6 +18,9 @@
 	  INSTALL_USER=root INSTALL_GROUP=root ;
 checkdir = test -f debian/rules
 
+DEB_HOST_GNU_TYPE := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
+export DEB_HOST_GNU_TYPE
+
 build: built
 built: config
 	@echo "== dpkg-buildpackage: build" 1>&2
@@ -39,6 +42,7 @@
 	$(MAKE) distclean
 	-rm -rf $(dirme) $(dirdev) $(dirlib)
 	-rm -f debian/*substvars debian/files* debian/*.debhelper
+	dh_clean
 
 binary-indep:
 
